ActiveTestTest
Keywords: junit.tests.extensions.ActiveTestTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.extensions
Class ActiveTestTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.extensions.ActiveTestTest

All Implemented Interfaces:
  Test

    public class ActiveTestTest

extends TestCase

Testing the ActiveTest support

Nested Class Summary
`static class` | `ActiveTestTest.SuccessTest`

Constructor Summary
`ActiveTestTest()`

Method Summary
`void` | `testActiveRepeatedTest()`
`void` | `testActiveRepeatedTest0()`
`void` | `testActiveRepeatedTest1()`
`void` | `testActiveTest()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActiveTestTest

    public ActiveTestTest()

Method Detail

### testActiveTest

    public void testActiveTest()

### testActiveRepeatedTest

    public void testActiveRepeatedTest()

### testActiveRepeatedTest0

    public void testActiveRepeatedTest0()

### testActiveRepeatedTest1

    public void testActiveRepeatedTest1()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD